<?xml version="1.0" encoding="UTF-8" ?>
<!--
IGAC proyecto SNC

@author 		david.cifuentes
@version 		1.0
@description 	Pantalla genérica con la información para el envio de correos en el proceso de actualización. 

@param
            •	enableAceptActionParam -> bandera que permite habilitar o deshabilitar el botón aceptar.
            •	enablePrintActionParam -> bandera que permite habilitar o deshabilitar el botón aceptar.
            •	widgetVarName -> nombre del widgetVar que se le da en la pantalla padre.
            •	updateComponentsParam -> Componente a actualizar.
            
-->

<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Strict//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-strict.dtd">
<html xmlns="http://www.w3.org/1999/xhtml"
      xmlns:h="http://java.sun.com/jsf/html"
      xmlns:p="http://primefaces.org/ui"
      xmlns:composite="http://java.sun.com/jsf/composite">

    <composite:interface>
        <composite:attribute name="enableAceptActionParam" default="true" />
        <composite:attribute name="enablePrintActionParam" default="true" />
        <composite:attribute name="widgetVarName" required="true" />
        <composite:attribute name="updateComponentsParam" required="true" />
    </composite:interface>

    <composite:implementation>

        <h:form id="envioCorreoActualizacionForm"
                xmlns="http://www.w3.org/1999/xhtml"
                xmlns:h="http://java.sun.com/jsf/html"
                xmlns:f="http://java.sun.com/jsf/core"
                xmlns:ui="http://java.sun.com/jsf/facelets"
                xmlns:p="http://primefaces.org/ui">

            <h:panelGrid width="100%" cellspacing="5">

                <p:messages id="msgsEnvioCorreo" showDetail="false"
                            globalOnly="false" />

                <p:fieldset>
                    <h:panelGrid columns="2" width="100%">
                        <h:outputText
                            value="#{visualizacionCorreoActualizacion.encabezadoCorreo}"
                            style="font-size: 80%" styleClass="outputTextStyle" escape="false" />
                    </h:panelGrid>
                </p:fieldset>

                <p:spacer height="10" />

                <p:fieldset>
                    <h:panelGrid width="100%" cellspacing="5" cellpadding="5">
                        <h:outputText
                            value="#{visualizacionCorreoActualizacion.contenidoCorreo}"
                            style="font-size: 80%" styleClass="outputTextStyle" escape="false" />
                    </h:panelGrid>
                </p:fieldset>

                <p:spacer height="10" />

                <p:outputPanel layout="block" style="text-align:right">
                    <p:commandButton title="Aceptar" value="Aceptar"
                                     action="#{visualizacionCorreoActualizacion.enviarCorreo}"
                                     onstart="statusDialog2.show();"
                                     disabled="#{!cc.attrs.enableAceptActionParam}" style="width:80px;"
                                     oncomplete="statusDialog2.hide();#{widgetVarName}.hide()" process="@this"
                                     icon="ui-icon-mail-closed" update="@this #{updateComponentsParam}" />

                    <p:spacer height="5" />

                    <p:commandButton value="Imprimir" process="@this" type="button"
                                     icon="ui-icon-print" onstart="statusDialog2.show();"
                                     disabled="#{!cc.attrs.enablePrintActionParam}"
                                     style="width:80px;" oncomplete="statusDialog2.hide();">
                        <p:printer target="envioCorreoActualizacionForm" />
                    </p:commandButton>

                    <p:spacer height="5" />

                    <p:commandButton title="Cancelar" value="Cancelar"
                                     action="#{visualizacionCorreoActualizacion.cerrarVisualizacionCorreo}"
                                     oncomplete="#{widgetVarName}.hide()" process="@this" style="width:80px;"
                                     icon="ui-icon-close" update="@this #{updateComponentsParam}" />

                    <p:spacer height="5" />
                </p:outputPanel>

            </h:panelGrid>
        </h:form>

    </composite:implementation>
</html>